package de.hft.stuttgart.citydoctor2.gui.tree;

import java.util.List;

import de.hft.stuttgart.citydoctor2.datastructure.TransportationObject;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class AllTransportationNode extends Renderable {
	
	private final List<TransportationObject> transportation;
	
	public AllTransportationNode(List<TransportationObject> transportation) {
		this.transportation = transportation;
	}

	@Override
	public void refreshTextColor() {
		// no use
	}

	@Override
	public String getText() {
		return "Transportation";
	}

	@Override
	public void visit(Renderer renderer) {
		renderer.renderTransportation(transportation);
	}

}
